package org.texttechnologylab.project.gruppe_05_1.xml.speeches.Impls;

import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.AgendaItem;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.Speech;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.enums.MongoDBEntryType;


import java.util.ArrayList;

public class AgendaItem_File_Impl implements AgendaItem {
    private final int id;
    private final int sessionId;
    private final String title;
    private final ArrayList<Speech> speeches;

    @Override
    public int getId() {
        return id;
    }

    @Override
    public int getSessionId() {
        return sessionId;
    }

    @Override
    public String getTitle() {
        return title;
    }

    @Override
    public ArrayList<Speech> getSpeeches() {
        return speeches;
    }

    public AgendaItem_File_Impl(int id, int sessionId, String title) {
        this.id = id;
        this.sessionId = sessionId;
        this.title = title;
        this.speeches = new ArrayList<>();
    }

    @Override
    public MongoDBEntryType getType() {
        return MongoDBEntryType.AGENDA_ITEM;
    }

    @Override
    public void addSpeech(Speech speech) {
        this.speeches.add(speech);
    }

    @Override
    public String toHTML() {
        return "";
    }
}
